version: "3.9"

services:
  app:
    image: xoderockson/xgame-fruit-blitz-integration-api:latest
    container_name: xgame-fruit-blitz-integration-api
    env_file:
      - .env
    ports:
      - 3007:3007

  copy-fruit-blitz-integration-env:
    image: xoderockson/xgame-fruit-blitz-integration-api:latest
    container_name: copy-fruit-blitz-integration-env
    volumes:
      - /var/www/xgame-apis/xgame-fruit-blitz-integration-api/.env:/temp/.env
    command: sh -c "cp /temp/.env /app/.env && exit"
